package com.yeejoin.amos.boot.module.jg.biz.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yeejoin.amos.boot.module.jg.biz.service.IIdxBizJgUseInfoService;
import com.yeejoin.amos.boot.module.ymt.api.dto.IdxBizJgUseInfoDto;
import com.yeejoin.amos.boot.module.ymt.api.entity.IdxBizJgUseInfo;
import com.yeejoin.amos.boot.module.ymt.api.mapper.IdxBizJgUseInfoMapper;
import org.springframework.stereotype.Service;
import org.typroject.tyboot.core.rdbms.service.BaseService;

import java.util.List;

/**
 * 使用信息表服务实现类
 *
 * @author system_generator
 * @date 2023-08-16
 */
@Service
public class IdxBizJgUseInfoServiceImpl extends BaseService<IdxBizJgUseInfoDto,IdxBizJgUseInfo,IdxBizJgUseInfoMapper> implements IIdxBizJgUseInfoService {

    public boolean saveOrUpdateData(IdxBizJgUseInfo useInfo){
        return this.saveOrUpdate(useInfo);
    }

    @Override
    public IdxBizJgUseInfo getOneData(String record) {
        return this.getOne(new QueryWrapper<IdxBizJgUseInfo>().eq("RECORD", record));
    }

    @Override
    public List<IdxBizJgUseInfo> getUseInfoListByEquIds(List<String> equIds) {
        QueryWrapper<IdxBizJgUseInfo> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().in(IdxBizJgUseInfo::getRecord, equIds);
        return list(queryWrapper);
    }
}